Subject: BGP Communities to Proposed Standard
From: Yakov Rekhter <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 29 Apr 96 08:21:06 PDT

Joel,

The IDR WG would like to ask the IESG to advance 
draft-ietf-idr-communities-00.txt to a Proposed Standard,
and  draft-ietf-idr-community-usage-00.txt to an Informational RFC.

There are two independent implementations of BGP Communities, one
by BayNetworks, and one by Cisco.

Yakov.
- - - - - - - - - - - - - - - - -

To: [email-masked]
Cc: [email-masked]
Subject: draft-ietf-idr-route-reflect-02.txt to Experimental
Date: Fri, 26 Apr 96 07:32:08 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]

Joel,

The IDR WG would like to ask the IESG to advance draft-ietf-idr-route-reflect-02.txt
to an Experimental RFC.

Yakov.
- - - - - - - - - - - - - - - - -

To: IETF-Announce:;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-route-reflect-02.txt
Date: Fri, 26 Apr 96 09:24:00 -0400
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : BGP Route Reflection  An alternative to full mesh IBGP  
       Author(s) : T. Bates, R. Chandra
       Filename  : draft-ietf-idr-route-reflect-02.txt
       Pages     : 8
       Date      : 04/25/1996

The Border Gateway Protocol [1] is an inter-autonomous system routing 
protocol designed for TCP/IP internets. BGP deployments are configured such
that that all BGP speakers within a single AS must be fully meshed so that 
any external routing information must be re-distributed to all other 
routers within that AS. This represents a serious scaling problem that has 
been well documented with several alternatives proposed [2,3].      
      
This document describes the use and design of a method known as "Route 
Reflection" to alleviate the the need for "full mesh" IBGP.                

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-route-reflect-02.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-route-reflect-02.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (193.205.245.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-route-reflect-02.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-route-reflect-02.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-route-reflect-02.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

- - - - - - - - - - - - - - - - -

To: [email-masked]
Subject: Slight update to Route Reflection paper 
From: Tony Bates <[email-masked]>
Date: Thu, 25 Apr 1996 11:30:30 -0400
Sender: [email-masked]
Reply-To: [email-masked]

Please note a new version of the draft <draft-ietf-idr-route-reflect-02.txt> 
will be announced in the next day or so. This update contains
editorial feedback on comments from other implementors of route
reflection. Find at bottom both the diffs and the new draft.

	Thanks,
		--Tony

diffs
-----
2,6d1
< 
< 
< 
< 
< 
8c3
< <draft-ietf-idr-route-reflect-02.txt>                                MCI
---
> <draft-ietf-idr-route-reflect-01.txt>                                MCI
11c6
<                                                               April 1996
---
>                                                               March 1996
16c11
<                    <draft-ietf-idr-route-reflect-02.txt>
---
>                    <draft-ietf-idr-route-reflect-01.txt>
60c55
< INTERNET-DRAFT            BGP Route Reflection                April 1996
---
> INTERNET-DRAFT            BGP Route Reflection                March 1996
65,70c60,65
<    Currently in the Internet, BGP deployments are configured such that
<    that all BGP speakers within a single AS must be fully meshed and any
<    external routing information must be re-distributed to all other
<    routers within that AS. This "full mesh" requirement clearly does not
<    scale when there are a large number of IBGP speakers as is common in
<    many of todays internet networks.
---
>    Currently in the Internet today, BGP deployments are configured such
>    that that all BGP speakers within a single AS must be fully meshed
>    and any external routing information must be re-distributed to all
>    other routers within that AS. This "full mesh" requirement clearly
>    does not scale when there are a large number of IBGP speakers as is
>    common in many of todays internet networks.
116c111
< INTERNET-DRAFT            BGP Route Reflection                April 1996
---
> INTERNET-DRAFT            BGP Route Reflection                March 1996
150c145
<    need for the IBGP session between RTR-A and RTR-B as shown in Figure
---
>    need for the IBGP session between RTR-A and RTR-C as shown in Figure
172c167
< INTERNET-DRAFT            BGP Route Reflection                April 1996
---
> INTERNET-DRAFT            BGP Route Reflection                March 1996
204c199
<                       |      \             /        |
---
>                       |      \             /       |
206c201
<                       |        \         /          |
---
>                       |        \         /         |
228c223
< INTERNET-DRAFT            BGP Route Reflection                April 1996
---
> INTERNET-DRAFT            BGP Route Reflection                March 1996
245,246c240,241
<               Client peers other than the originator. (Hence the
<               Client peers are not required to be fully meshed).
---
>               Client peers (Hence the Client peers are not required
>               to be fully meshed).
265c260
<    understand the concept of Route-Reflectors (let us call them
---
>    understand the concept of Route-Reflectors (let us call them as
268c263
<    could be either members of a Non-Client group or a Client group. This
---
>    could be either members of Non-Client group or Client group. This
284c279
< INTERNET-DRAFT            BGP Route Reflection                April 1996
---
> INTERNET-DRAFT            BGP Route Reflection                March 1996
308,310c303,304
<    ORIGINATOR_ID attribute if one already exists.  A route reflector
<    must never send routing information back to the router specified in
<    ORIGINATOR_ID.
---
>    ORIGINATOR_ID attribute if one already exists If routing information
>    comes back to the originator, it must be ignored.
337a332
> 
340c335
< INTERNET-DRAFT            BGP Route Reflection                April 1996
---
> INTERNET-DRAFT            BGP Route Reflection                March 1996
353c348
<    However, it must not be possible for an RR to set on reflected IBGP
---
>    However, this must not be possible for an RR to set on reflected IBGP
355c350
<    will result in potential black holeing of traffic.
---
>    will result in potential black holes.
358,359c353,354
<    DPA)that could change consistent route selection. This could result
<    in potential loops.
---
>    DPA)that could change consistent route selection. This could
>    resulting in potential loops.
396c391
< INTERNET-DRAFT            BGP Route Reflection                April 1996
---
> INTERNET-DRAFT            BGP Route Reflection                March 1996

new draft
---------

INTERNET-DRAFT                                                Tony Bates
<draft-ietf-idr-route-reflect-02.txt>                                MCI
                                                            Ravi Chandra
                                                           cisco Systems
                                                              April 1996

                           BGP Route Reflection
                     An alternative to full mesh IBGP
                   <draft-ietf-idr-route-reflect-02.txt>

Status of this Memo

   This document is an Internet Draft. Internet Drafts are working
   documents of the Internet Engineering Task Force (IETF), its Areas,
   and its Working Groups. Note that other groups may also distribute
   working documents as Internet Drafts.

   Internet Drafts are draft documents valid for a maximum of six
   months. Internet Drafts may be updated, replaced, or obsoleted by
   other documents at any time. It is not appropriate to use Internet
   Drafts as reference material or to cite them other than as a "working
   draft" or "work in progress".

   Please check the I-D abstract listing contained in each Internet
   Draft directory to learn the current status of this or any other
   Internet Draft.

Abstract

   The Border Gateway Protocol [1] is an inter-autonomous system routing
   protocol designed for TCP/IP internets. BGP deployments are
   configured such that that all BGP speakers within a single AS must be
   fully meshed so that any external routing information must be re-
   distributed to all other routers within that AS. This represents a
   serious scaling problem that has been  well documented with several
   alternatives proposed [2,3].

   This document describes the use and design of a method known as
   "Route Reflection" to alleviate the the need for "full mesh" IBGP.

Bates & Chandra                                                 [Page 1]

INTERNET-DRAFT            BGP Route Reflection                April 1996

1.  Introduction

   Currently in the Internet, BGP deployments are configured such that
   that all BGP speakers within a single AS must be fully meshed and any
   external routing information must be re-distributed to all other
   routers within that AS. This "full mesh" requirement clearly does not
   scale when there are a large number of IBGP speakers as is common in
   many of todays internet networks.

   For n BGP speakers within an AS you must maintain n*(n-1)/2 unique
   IBGP sessions. With finite resources in both bandwidth and router CPU
   this clearly does not scale.

   This scaling problem has been well documented and a number of
   proposals have been made to alleviate this [2,3]. This document
   represents another alternative in alleviating the need for a "full
   mesh" and is known as "Route Reflection". It represents a change in
   the commonly understood concept of IBGP and the addition of two new
   optional transitive BGP attributes.

2.  Design Criteria

   Route Reflection was designed to satisfy the following criteria.

           o Simplicity

             Any alternative must be both simple to configure as well
             as understand.

           o Easy Migration

             It must be possible to migrate from a full mesh
             configuration without the need to change either topology
             or AS. This is an unfortunate management overhead of the
             technique proposed in [3].

           o Compatibility

             It must be possible for non compliant IBGP peers
             to continue be part of the original AS or domain
             without any loss of BGP routing information.

   These criteria were motivated by operational experiences of a very
   large and topology rich network with many external connections.

Bates & Chandra                                                 [Page 2]

INTERNET-DRAFT            BGP Route Reflection                April 1996

3.  Route Reflection

   The basic idea of Route Reflection is very simple. Let us consider
   the simple example depicted in Figure 1 below.

                        +------ +        +-------+
                        |       |  IBGP  |       |
                        | RTR-A |--------| RTR-B |
                        |       |        |       |
                        +-------+        +-------+
                              \             /
                          IBGP \   ASX     / IBGP
                                \         /
                                 +-------+
                                 |       |
                                 | RTR-C |
                                 |       |
                                 +-------+

                         Figure 1: Full Mesh IBGP

   In ASX there are three IBGP speakers (routers RTR-A, RTR-B and RTR-
   C).  With the existing BGP model, if RTR-A receives an external route
   and it is selected as the best path it must advertise the external
   route to both RTR-B and RTR-C. RTR-B and RTR-C (as IBGP speakers)
   will not re-advertise these IBGP learned routes to other IBGP
   speakers.

   If this rule is relaxed and RTR-C is allowed to reflect IBGP learned
   routes, then it could re-advertise (or reflect) the IBGP routes
   learned from RTR-A to RTR-B and vice versa. This would eliminate the
   need for the IBGP session between RTR-A and RTR-B as shown in Figure
   2 below.

                        +------ +        +-------+
                        |       |        |       |
                        | RTR-A |        | RTR-B |
                        |       |        |       |
                        +-------+        +-------+
                              \             /
                          IBGP \   ASX     / IBGP
                                \         /
                                 +-------+
                                 |       |
                                 | RTR-C |
                                 |       |
                                 +-------+

Bates & Chandra                                                 [Page 3]

INTERNET-DRAFT            BGP Route Reflection                April 1996

                      Figure 2: Route Reflection IBGP

   The Route Reflection scheme is based upon this basic principle.

4.  Terminology and Concepts

   We use the term "Route Reflector" (RR) to represent an IBGP speaker
   that participates in the reflection.  The internal peers of a RR are
   divided into two groups:

           1) Client Peers

           2) Non-Client Peers

   A RR reflects routes between these groups.  A RR along with its
   client peers form a Cluster. The Non-Client peer must be fully meshed
   but the Client peers need not be fully meshed. The Client peers
   should not peer with internal speakers outside of their cluster.
   Figure 3 depicts a simple example outlining the basic RR components
   using the terminology noted above.

                      / - - - - - - - - - - - - -  -\
                      |           Cluster           |
                        +-------+        +-------+
                      | |       |        |       |  |
                        | RTR-A |        | RTR-B |
                      | |Client |        |Client |  |
                        +-------+        +-------+
                      |      \             /        |
                         IBGP \           / IBGP
                      |        \         /          |
                                +-------+
                      |         |       |           |
                                | RTR-C |
                      |         |  RR   |           |
                                +-------+
                      |           /   \             |
                      \ - - - - -/- - -\- - - - - - /
                          IBGP  /       \  IBGP
                       +-------+         +-------+
                       | RTR-D |  IBGP   | RTR-E |
                       |  Non- |---------|  Non- |
                       |Client |         |Client |
                       +-------+         +-------+

                          Figure 3: RR Components

Bates & Chandra                                                 [Page 4]

INTERNET-DRAFT            BGP Route Reflection                April 1996

5. Operation

   When a route is received by a RR, it selects the best path based on
   its path selection rule. After the best path is selected, it must do
   the following depending on the type of the peer it is receiving the
   best path from:

           1) A Route from a Non-Client peer

              Reflect to all other Clients.

           2) A Route from a Client peer

              Reflect to all the Non-Client peers and also to the
              Client peers other than the originator. (Hence the
              Client peers are not required to be fully meshed).

            3) Route from an EBGP peer

               Send to all the Client and Non-Client Peers.

   An Autonomous System could have many RRs. A RR treats other RRs just
   like any other internal BGP speakers. A RR could be configured to
   have other RRs in a Client group or Non-client group.

   In a simple configuration the backbone could be divided into many
   clusters.  Each RR would be configured with other RRs as Non-Client
   peers (thus all the RRs will be fully meshed.). The Clients will be
   configured to maintain IBGP session only with the RR in their
   cluster.  Due to route reflection, all the IBGP speakers will receive
   reflected routing information.

   It is normal in a Autonomous System to have BGP speakers that do not
   understand the concept of Route-Reflectors (let us call them
   conventional BGP speakers). The Route-Reflector Scheme allows such
   conventional BGP speakers to co-exist. Conventional BGP speakers
   could be either members of a Non-Client group or a Client group. This
   allows for an easy and gradual migration from the current IBGP model
   to the Route Reflection model. One could start creating clusters by
   configuring a single router as the designated RR and configuring
   other RRs and their clients as normal IBGP peers. Additional clusters
   can be created gradually.

6.  Redundant RRs

   Usually a cluster of clients will have a single RR. In that case, the

Bates & Chandra                                                 [Page 5]

INTERNET-DRAFT            BGP Route Reflection                April 1996

   cluster will be identified by the ROUTER_ID of the RR. However, this
   represents a single point of failure so to make it possible to have
   multiple RRs in the same cluster, all RRs in the same cluster must be
   configured with a 4-byte CLUSTER_ID so that an RR can discern routes
   from other RRs in the same cluster.

7.  Avoiding Routing Information Loops

   As IBGP learned routes are reflected, it is possible through mis-
   configuration to form route re-distribution loops. The Route
   Reflection method defines the following attributes to detect and
   avoid routing information loops.

   ORIGINATOR_ID

   ORIGINATOR_ID is a new optional, non-transitive BGP attribute of Type
   code 9.  This attribute is 4 bytes long and it will be created by a
   RR. This attribute will carry the ROUTER_ID of the originator of the
   route in the local AS. A BGP speaker should not create an
   ORIGINATOR_ID attribute if one already exists.  A route reflector
   must never send routing information back to the router specified in
   ORIGINATOR_ID.

   CLUSTER_LIST

   Cluster-list is a new optional, non-transitive BGP attribute of Type
   code 10. It is a sequence of CLUSTER_ID values representing the
   reflection path that the route has passed. It is encoded as follows:

              0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |  Attr. Flags  |Attr. Type Code|   Length      | value ...
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   Where Length is the number of octets.

   When a RR reflects a route from its Clients to a Non-Client peer, it
   must append the local CLUSTER_ID to the CLUSTER_LIST. If the
   CLUSTER_LIST is empty, it must create a new one. Using this attribute
   an RR can identify if the routing information is looped back to the
   same cluster due to mis-configuration. If the local CLUSTER_ID is
   found in the cluster-list, the advertisement will be ignored.

Bates & Chandra                                                 [Page 6]

INTERNET-DRAFT            BGP Route Reflection                April 1996

8.  Implementation and Configuration Considerations

   Care should be taken to make sure that none of the BGP path
   attributes defined above can be modified through configuration when
   exchanging internal routing information between RRs and Clients and
   Non-Clients. This could result is looping of routes.

   In some implementations, modification of the BGP path attribute,
   NEXT_HOP is possible. For example, there could be a need for a RR to
   modify NEXT_HOP for EBGP learned routes sent to its internal peers.
   However, it must not be possible for an RR to set on reflected IBGP
   routes as this breaks the basic principle of Route Reflection and
   will result in potential black holeing of traffic.

   An RR should not modify any AS-PATH attributes (i.e. LOCAL_PREF, MED,
   DPA)that could change consistent route selection. This could result
   in potential loops.

   The BGP protocol provides no way for a Client to identify itself
   dynamically as a Client to an RR configured BGP speaker and the
   simplest way to achieve this is by manual configuration.

9.  Security

   Security considerations are not discussed in this memo.

10. Acknowledgments

   The authors would like to thank Dennis Ferguson, Enke Chen, John
   Scudder, Paul Traina and Tony Li for the many discussions resulting
   in this work. This idea was developed from an earlier discussion
   between Tony Li and Dimitri Haskin.

11. References

   [1]  Rekhter, Y., and Li, T., "A Border Gateway Protocol 4 (BGP-4)",
        RFC1771, March 1995.

   [2]  Haskin, D., "A BGP/IDRP Route Server alternative to a full mesh
        routing", RFC1863, October 1995.

   [3]  Traina, P. "Limited Autonomous System Confederations for BGP",
        INTERNET-DRAFT, <draft-traina-bgp-confed-00.txt>, April 1995.

Bates & Chandra                                                 [Page 7]

INTERNET-DRAFT            BGP Route Reflection                April 1996

12. Author's Addresses

        Tony Bates
        MCI
        2100 Reston Parkway
        Reston, VA 22091

        phone: +1 703 715 7521
        email: [email-masked]

        Ravishanker Chandrasekeran
        (Ravi Chandra)
        cisco Systems
        170 West Tasman Drive
        San Jose, CA 95134

        email: [email-masked]

Bates & Chandra                                                 [Page 8]

- - - - - - - - - - - - - - - - -

Date: Tue, 23 Apr 1996 21:19:10 +0800 (SST)
From: "Felipe Corrales Golpe Jr." <[email-masked]>
Subject: bgp mailing list
To: [email-masked]
Sender: [email-masked]
Reply-To: [email-masked]

hi,

how can i join in?
thanks!

     \\\|///
    \\ ~ ~ //        Jun Golpe 
    (/ @ @ \)        Engineer     
 -o00o-(_)-o00o--    Globe Telecom - GMCR Inc. Makati Philippines     
                     Handyphone: (0917) 819-1438
 ----------0ooo.--   Telephone #: (632) 892-0223
   .ooo0   (   )     Internet: [email-masked]
   (   )    ) /     ============================================= 
    \ (    (_/      
     \_)             

- - - - - - - - - - - - - - - - -

To: [email-masked]
Cc: [email-masked]
Subject: Confederations to Experimental
Date: Mon, 15 Apr 96 13:12:53 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]

Joel,

The IDR WG would like to ask the IESG to advance 
draft-ietf-idr-bgp-confed-00.txt to an Experimental RFC. 

Yakov.

- - - - - - - - - - - - - - - - -

To: [email-masked]
Subject: BGP Communities to Proposed Standard
Date: Fri, 12 Apr 96 08:19:23 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]

Folks,

At the last WG meeting we discussed BGP Communities attribute
and agreed to ask the IESG to publish it as a Proposed Standard. There
are two independent implementations of this attribute (BayNetworks and Cisco).

This is the WG last call on this document. If there will be no objections
within 2 weeks (4/26/96), I'll send a note to the IESG asking the IESG
to advance the Internet Draft to a Proposed Standard.

Yakov.

------- Forwarded Message

To: IETF-Announce:;
Cc: [email-masked]
Sender: [email-masked]
From: [email-masked]
Reply-To: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-communities-00.txt
Date: Thu, 11 Apr 96 09:09:52 -0400

- --NextPart

A New Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : BGP communities attribute                               
       Author(s) : R. Chandra, P. Traina, T. Li
       Filename  : draft-ietf-idr-communities-00.txt
       Pages     : 5
       Date      : 04/10/1996

Border Gateway Protocol [1] is an inter-autonomous system routing protocol 
designed for TCP/IP internets.  
                                           
This document describes an extension to BGP which may be used to pass 
additional information to both neighboring and remote BGP peers.    
       
The intention of the proposed technique is to aid in policy administration 
and reduce the management complexity of maintaining the Internet.          

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-communities-00.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-communities-00.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (193.205.245.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-communities-00.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

- --NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

- --OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-communities-00.txt

- --OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-communities-00.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

- --OtherAccess--

- --NextPart--

------- End of Forwarded Message

- - - - - - - - - - - - - - - - -

From: Sean Doran <[email-masked]>
To: [email-masked]
Subject: Re: BGP Communities to Proposed Standard
Date: 	Fri, 12 Apr 1996 18:38:10 -0700
Sender: [email-masked]
Reply-To: [email-masked]

Is there an implementation?

	Sean.
- --
| Can we also get the community usage paper of Enke and I as an
| Informational RFC at the same time.
| 
| 		Thanks,
| 				--Tony
| 
- - - - - - - - - - - - - - - - -

To: [email-masked]
Subject: Re: BGP Communities to Proposed Standard 
From: Tony Bates <[email-masked]>
Date: Fri, 12 Apr 1996 20:59:19 -0400
Sender: [email-masked]
Reply-To: [email-masked]

Can we also get the community usage paper of Enke and I as an
Informational RFC at the same time.

		Thanks,
				--Tony

 Yakov Rekhter <[email-masked]> writes:
  * Folks,
  * 
  * At the last WG meeting we discussed BGP Communities attribute
  * and agreed to ask the IESG to publish it as a Proposed Standard. There
  * are two independent implementations of this attribute (BayNetworks and Cisc
  * o).
  * 
  * This is the WG last call on this document. If there will be no objections
  * within 2 weeks (4/26/96), I'll send a note to the IESG asking the IESG
  * to advance the Internet Draft to a Proposed Standard.
  * 
  * Yakov.
  * 
  * ------- Forwarded Message
  * 
  * Return-Path: [email-masked]
  * Received: from beasley.cisco.com (beasley.cisco.com [171.69.2.135]) by puli
  * .cisco.com (8.6.8+c/8.6.5) with ESMTP id GAA03071; Thu, 11 Apr 1996 06:17:5
  * 2 -0700
  * Received: from IETF.cnri.reston.VA.US (ietf.cnri.reston.va.us [132.151.1.35
  * ]) by beasley.cisco.com (8.6.12/CISCO.GATE.1.1) with SMTP id GAA00896; Thu,
  *  11 Apr 1996 06:17:00 -0700
  * Received: from ietf.cnri.reston.va.us by IETF.CNRI.Reston.VA.US id aa13384;
  *           11 Apr 96 9:11 EDT
  * Received: from [127.0.0.1] by IETF.CNRI.Reston.VA.US id aa13314;
  *           11 Apr 96 9:09 EDT
  * Mime-Version: 1.0
  * Content-Type: Multipart/Mixed; Boundary="NextPart"
  * To: IETF-Announce:;
  * Cc: [email-masked]
  * Sender: [email-masked]
  * From: [email-masked]
  * Reply-To: [email-masked]
  * Subject: I-D ACTION:draft-ietf-idr-communities-00.txt
  * Date: Thu, 11 Apr 96 09:09:52 -0400
  * X-Orig-Sender: [email-masked]
  * Message-Id:  <[email-masked]>
  * 
  * - --NextPart
  * 
  * A New Internet-Draft is available from the on-line Internet-Drafts 
  * directories. This draft is a work item of the Inter-Domain Routing Working 
  * Group of the IETF.                                                         
  * 
  *        Title     : BGP communities attribute                               
  *        Author(s) : R. Chandra, P. Traina, T. Li
  *        Filename  : draft-ietf-idr-communities-00.txt
  *        Pages     : 5
  *        Date      : 04/10/1996
  * 
  * Border Gateway Protocol [1] is an inter-autonomous system routing protocol 
  * designed for TCP/IP internets.  
  *                                            
  * This document describes an extension to BGP which may be used to pass 
  * additional information to both neighboring and remote BGP peers.    
  *        
  * The intention of the proposed technique is to aid in policy administration 
  * and reduce the management complexity of maintaining the Internet.          
  * 
  * Internet-Drafts are available by anonymous FTP.  Login with the username
  * "anonymous" and a password of your e-mail address.  After logging in,
  * type "cd internet-drafts" and then
  *      "get draft-ietf-idr-communities-00.txt".
  * A URL for the Internet-Draft is:
  * ftp://ds.internic.net/internet-drafts/draft-ietf-idr-communities-00.txt
  *  
  * Internet-Drafts directories are located at:	
  * 	                                                
  *      o  Africa                                   
  *         Address:  ftp.is.co.za (196.4.160.8)	
  * 	                                                
  *      o  Europe                                   
  *         Address:  nic.nordu.net (192.36.148.17)	
  *         Address:  ftp.nis.garr.it (193.205.245.10)
  * 	                                                
  *      o  Pacific Rim                              
  *         Address:  munnari.oz.au (128.250.1.21)	
  * 	                                                
  *      o  US East Coast                            
  *         Address:  ds.internic.net (198.49.45.10)	
  * 	                                                
  *      o  US West Coast                            
  *         Address:  ftp.isi.edu (128.9.0.32)  	
  * 	                                                
  * Internet-Drafts are also available by mail.	
  * 	                                                
  * Send a message to:  [email-masked]. In the body type: 
  *      "FILE /internet-drafts/draft-ietf-idr-communities-00.txt".
  * 							
  * NOTE: The mail server at ds.internic.net can return the document in
  *       MIME-encoded form by using the "mpack" utility.  To use this
  *       feature, insert the command "ENCODING mime" before the "FILE"
  *       command.  To decode the response(s), you will need "munpack" or
  *       a MIME-compliant mail reader.  Different MIME-compliant mail readers
  *       exhibit different behavior, especially when dealing with
  *       "multipart" MIME messages (i.e., documents which have been split
  *       up into multiple messages), so check your local documentation on
  *       how to manipulate these messages.
  * 							
  * For questions, please mail to [email-masked].
  * 							
  * 
  * Below is the data which will enable a MIME compliant mail reader 
  * implementation to automatically retrieve the ASCII version
  * of the Internet-Draft.
  * 
  * - --NextPart
  * Content-Type: Multipart/Alternative; Boundary="OtherAccess"
  * 
  * - --OtherAccess
  * Content-Type:  Message/External-body;
  *         access-type="mail-server";
  *         server="[email-masked]"
  * 
  * Content-Type: text/plain
  * Content-ID: <[email-masked]>
  * 
  * ENCODING mime
  * FILE /internet-drafts/draft-ietf-idr-communities-00.txt
  * 
  * - --OtherAccess
  * Content-Type:   Message/External-body;
  *         name="draft-ietf-idr-communities-00.txt";
  *         site="ds.internic.net";
  *         access-type="anon-ftp";
  *         directory="internet-drafts"
  * 
  * Content-Type: text/plain
  * Content-ID: <[email-masked]>
  * 
  * - --OtherAccess--
  * 
  * - --NextPart--
  * 
  * 
  * ------- End of Forwarded Message
  * 
- - - - - - - - - - - - - - - - -

Date: Fri, 12 Apr 1996 22:36:58 -0400 (EDT)
From: Dorian Kim <[email-masked]>
To: Sean Doran <[email-masked]>
Cc: [email-masked]
Subject: Re: BGP Communities to Proposed Standard
Sender: [email-masked]
Reply-To: [email-masked]

Does informational RFC require an implemantation or am I missing the gist of
the question?

-dorian

On Fri, 12 Apr 1996, Sean Doran wrote:

> Is there an implementation?
>
> 	Sean.
> - --
> | Can we also get the community usage paper of Enke and I as an
> | Informational RFC at the same time.
> |
> | 		Thanks,
> | 				--Tony
> |
>

- - - - - - - - - - - - - - - - -

To: [email-masked]
Cc: Sean Doran <[email-masked]>
Subject: Re: BGP Communities to Proposed Standard 
From: Tony Bates <[email-masked]>
Date: Sat, 13 Apr 1996 21:37:43 -0400
Sender: [email-masked]
Reply-To: [email-masked]

Ditto from me. Not sure what you are asking Sean. The usage paper is
just showing a simple but useful (IMHO) application of the community
attribute. It was agreed at the last idr meeting to move this to
Informational when the community paper  was moved along.

		--Tony

 Dorian Kim <[email-masked]> writes:
  * Does informational RFC require an implemantation or am I missing the gist o
  * f
  * the question?
  * 
  * -dorian
  * 
  * On Fri, 12 Apr 1996, Sean Doran wrote:
  * 
  * > Is there an implementation?
  * >
  * > 	Sean.
  * > - --
  * > | Can we also get the community usage paper of Enke and I as an
  * > | Informational RFC at the same time.
  * > |
  * > | 		Thanks,
  * > | 				--Tony
  * > |
  * >
  * 
- - - - - - - - - - - - - - - - -

From: Sean Doran <[email-masked]>
To: [email-masked], [email-masked]
Subject: Re: BGP Communities to Proposed Standard
Date: 	Sun, 14 Apr 1996 10:34:08 -0700
Sender: [email-masked]
Reply-To: [email-masked]

Sorry, mind failure.  I thought we were talking about another draft.

	Sean.
- - - - - - - - - - - - - - - - -

To: [email-masked]
Subject: Re: BGP Communities to Proposed Standard 
Date: Sun, 14 Apr 96 07:58:07 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]

Tony,

> Can we also get the community usage paper of Enke and I as an
> Informational RFC at the same time.
> 
> 		Thanks,
> 				--Tony

Sorry. My omission. This is also the Last WG Call for
advancing draft-ietf-idr-community-usage-00.txt to an Informational
RFC. In the absence of any objections by 4/28 the WG will ask the
IESG to publish this document as an Informational RFC.

Yakov.
- - - - - - - - - - - - - - - - -

To: IETF-Announce:;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-communities-00.txt
Date: Thu, 11 Apr 96 09:09:52 -0400
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : BGP communities attribute                               
       Author(s) : R. Chandra, P. Traina, T. Li
       Filename  : draft-ietf-idr-communities-00.txt
       Pages     : 5
       Date      : 04/10/1996

Border Gateway Protocol [1] is an inter-autonomous system routing protocol 
designed for TCP/IP internets.  
                                           
This document describes an extension to BGP which may be used to pass 
additional information to both neighboring and remote BGP peers.    
       
The intention of the proposed technique is to aid in policy administration 
and reduce the management complexity of maintaining the Internet.          

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-communities-00.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-communities-00.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (193.205.245.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-communities-00.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-communities-00.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-communities-00.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

- - - - - - - - - - - - - - - - -

To: [email-masked]
Cc: [email-masked] (Tony Bates), [email-masked], [email-masked]
Subject: Re: attribute type codes 
Date: Mon, 08 Apr 96 18:09:26 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]

Bill,

> > 	I presume in the actual document you'll refernce either the
> > actual ID or RFC. What would be nice would be to put this out along
> > with all the other documents we wanted to move forward from the last
> > idr meeting so we get a pretty complete set of RFCs.
> > 
> > For completeness for 9,10 and 11 this would be:
> > 
> > 9	ORIGINATOR_ID  <draft-idr-route-reflect-01.txt>
> > 10	CLUSTER_LIST   <draft-idr-route-reflect-01.txt>
> > 11	DPA	       <draft-ietf-idr-bgp-dpa-06.txt>
> > 
> > Note, <draft-idr-route-reflect-01.txt> should be announced in a day or
> > so. I just submitted it yesterday folowing comments.
> > 
> > 		--Tony
> 
> 	i don't think that IDs are legal to reference in RFCs.

That is correct. However, as you recall at the last WG meeting we
agreed to move the first ID to an Experimental RFC, and the second ID
to a Proposed Standard (after we'll get an implementation DPA).  Once
these two documents would get published as RFCs, it would be perfectly
fine to reference them.

Yakov.
- - - - - - - - - - - - - - - - -

From: [email-masked]
Posted-Date: Mon, 8 Apr 1996 16:06:09 -0700 (PDT)
Subject: Re: attribute type codes
To: [email-masked] (Tony Bates)
Date: Mon, 8 Apr 1996 16:06:09 -0700 (PDT)
Cc: [email-masked], [email-masked]
Sender: [email-masked]
Reply-To: [email-masked]

> 
> Bill,
> 	I presume in the actual document you'll refernce either the
> actual ID or RFC. What would be nice would be to put this out along
> with all the other documents we wanted to move forward from the last
> idr meeting so we get a pretty complete set of RFCs.
> 
> For completeness for 9,10 and 11 this would be:
> 
> 9	ORIGINATOR_ID  <draft-idr-route-reflect-01.txt>
> 10	CLUSTER_LIST   <draft-idr-route-reflect-01.txt>
> 11	DPA	       <draft-ietf-idr-bgp-dpa-06.txt>
> 
> Note, <draft-idr-route-reflect-01.txt> should be announced in a day or
> so. I just submitted it yesterday folowing comments.
> 
> 		--Tony

	i don't think that IDs are legal to reference in RFCs.

-- 
--bill
- - - - - - - - - - - - - - - - -

To: [email-masked]
Subject: BGP Route Reflector to Experimental
Date: Sun, 07 Apr 96 13:41:12 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]
Status: O

Folks,

At the last WG meeting we agreed to ask the IESG to
advance draft-ietf-idr-route-reflect-01.txt to an Experimental RFC.

In the absence of any objections on this list by April 21,
I will send the IESG a note asking to advance this I-D
to an Experimenal RFC.

Yakov Rekhter.
------- Forwarded Message

To: IETF-Announce:;
Cc: [email-masked]
Sender: [email-masked]
From: [email-masked]
Reply-To: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-route-reflect-01.txt
Date: Wed, 03 Apr 96 09:14:23 -0500

- --NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : BGP Route Reflection  An alternative to full mesh IBGP  
       Author(s) : T. Bates, R. Chandra
       Filename  : draft-ietf-idr-route-reflect-01.txt
       Pages     : 8
       Date      : 04/02/1996

The Border Gateway Protocol [1] is an inter-autonomous system routing 
protocol designed for TCP/IP internets. BGP deployments are configured such
that that all BGP speakers within a single AS must be fully meshed so that 
any external routing information must be re-distributed to all other 
routers within that AS. This represents a serious scaling problem that has 
been well documented with several alternatives proposed [2,3]. 
           
This document describes the use and design of a method known as "Route 
Reflection" to alleviate the the need for "full mesh" IBGP.                

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-route-reflect-01.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-route-reflect-01.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (193.205.245.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-route-reflect-01.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

- --NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

- --OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-route-reflect-01.txt

- --OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-route-reflect-01.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

- --OtherAccess--

- --NextPart--

------- End of Forwarded Message

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-route-reflect-01.txt
Date: Wed, 03 Apr 96 09:14:23 -0500
Sender: [email-masked]
Reply-To: [email-masked]
Status: O

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : BGP Route Reflection  An alternative to full mesh IBGP  
       Author(s) : T. Bates, R. Chandra
       Filename  : draft-ietf-idr-route-reflect-01.txt
       Pages     : 8
       Date      : 04/02/1996

The Border Gateway Protocol [1] is an inter-autonomous system routing 
protocol designed for TCP/IP internets. BGP deployments are configured such
that that all BGP speakers within a single AS must be fully meshed so that 
any external routing information must be re-distributed to all other 
routers within that AS. This represents a serious scaling problem that has 
been well documented with several alternatives proposed [2,3]. 
           
This document describes the use and design of a method known as "Route 
Reflection" to alleviate the the need for "full mesh" IBGP.                

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-route-reflect-01.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-route-reflect-01.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (193.205.245.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-route-reflect-01.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-route-reflect-01.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-route-reflect-01.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

To: [email-masked]
Cc: [email-masked]
Subject: Re: attribute type codes 
From: Tony Bates <[email-masked]>
Date: Tue, 02 Apr 1996 17:22:02 -0500
Sender: [email-masked]
Reply-To: [email-masked]
Status: O

Bill,
	I presume in the actual document you'll refernce either the
actual ID or RFC. What would be nice would be to put this out along
with all the other documents we wanted to move forward from the last
idr meeting so we get a pretty complete set of RFCs.

For completeness for 9,10 and 11 this would be:

9	ORIGINATOR_ID  <draft-idr-route-reflect-01.txt>
10	CLUSTER_LIST   <draft-idr-route-reflect-01.txt>
11	DPA	       <draft-ietf-idr-bgp-dpa-06.txt>

Note, <draft-idr-route-reflect-01.txt> should be announced in a day or
so. I just submitted it yesterday folowing comments.

		--Tony

 [email-masked] writes:
  * > 
  * > We need to be able to register message types and error codes too.
  * 
  * 	As part of the same ID?  Can you provide page refs where 
  * 	message types and error codes are defined?
  * 
  * > I believe ADVERTISER and RCID_PATH is the same as the cisco's originator
  * > and 'cluster list' but I'm not 100% sure.  I'm willing to change the
  * > ADVERTISER and RCID_PATH ids to lower numbers (e.g. 12 and 13) but you
  * > have to get back to me with the new numbers quickly since it would be
  * > much more difficult to change them in couple weeks.
  * > 
  * > Dimitry
  * 
  * 
  * Please change the numbers as you specified:
  * 
  * 7       aggregator
  * 8       community                               cisco ID
  * 9       originator                              cisco ID
  * 10      cluster list                            cisco ID
  * 11      destination preference                  MCI ID
  * 12      advertiser                              Bay ID
  * 13      rcid_path (cluster id)                  Bay ID
  * 
  * ...
  * 
  * 
  * -- 
  * --bill

From: [email-masked]
Posted-Date: Tue, 2 Apr 1996 13:34:03 -0800 (PST)
Subject: Re: attribute type codes
To: [email-masked]
Date: Tue, 2 Apr 1996 13:34:03 -0800 (PST)
Cc: [email-masked]
Content-Length: 954       
Sender: [email-masked]
Reply-To: [email-masked]
Status: O

> 
> We need to be able to register message types and error codes too.

	As part of the same ID?  Can you provide page refs where 
	message types and error codes are defined?

> I believe ADVERTISER and RCID_PATH is the same as the cisco's originator
> and 'cluster list' but I'm not 100% sure.  I'm willing to change the
> ADVERTISER and RCID_PATH ids to lower numbers (e.g. 12 and 13) but you
> have to get back to me with the new numbers quickly since it would be
> much more difficult to change them in couple weeks.
> 
> Dimitry

Please change the numbers as you specified:

7       aggregator
8       community                               cisco ID
9       originator                              cisco ID
10      cluster list                            cisco ID
11      destination preference                  MCI ID
12      advertiser                              Bay ID
13      rcid_path (cluster id)                  Bay ID

...

-- 
--bill

From: [email-masked]
Posted-Date: Tue, 2 Apr 1996 11:00:53 -0800 (PST)
Subject: attribute type codes
To: [email-masked]
Date: Tue, 2 Apr 1996 11:00:53 -0800 (PST)
Content-Length: 1945      
Sender: [email-masked]
Reply-To: [email-masked]
Status: O

Hi,
	I've been promising this for a while.  Comments/corrections before
	I send this in as an ID please.
	------------------------------------------------------------------

This document describes the process for creating new BGP attribute type codes. 
Basic attribute type codes are described in RFC1771 pages 12 through 15.  
These, and new attribute type codes that are used in the internet are expected 
to be registered with the IANA.

It is expected that new BGP attribute type codes will be registered in a 
similar way that DNS RR's and SNMP subtypes are registered.  The actual process
will involve the documentation of such attribute type codes in FYI RFCs.  There
is no intention of segmenting the code space into public/private or IP/OSI or 
any other sectioning.

As each attribute type code is in the process of being developed, it will use 
an octect value of 255, which will be reserved for this use. At the time an 
attribute type code is assigned a number by the IANA, the documetnation and 
code base will be updated to reflect the authorized attribute type code value.

IANA maintained values will be published in the periodically updated assigned
numbers STD. The bgp attribute type code list or pointer to the bgp attribute 
type code list will be added to this STD. Requests for assignment of a new
attribute type code should be sent to IANA with a subject that includes the
phrase "attribute type code request".

Currently in use attribute type codes are listed below:

1       origin
2       as path
3       next hop
4       multi exit disc.
5       local preference
6       atomic aggregate
7       aggregator
8       community                               cisco ID
9       originator                              cisco ID
10      cluster list                            cisco ID
11      destination preference                  MCI ID
...
(Dimitry, I've misplaced the list you sent me for Bay stuff)

-- 
--bill

Date: Tue, 2 Apr 96 17:00:16 EST
From: [email-masked] (Dimitry Haskin)
To: [email-masked]
Subject: Re: attribute type codes
Cc: [email-masked]
Sender: [email-masked]
Reply-To: [email-masked]
Status: O

> 
> > 
> > We need to be able to register message types and error codes too.
> 
> 	As part of the same ID?  Can you provide page refs where 
> 	message types and error codes are defined?
>

RFC1863:
  Page 8, Section 4.3.1
  Page 14, Section 4.3.5

> Please change the numbers as you specified:
> 
> 7       aggregator
> 8       community                               cisco ID
> 9       originator                              cisco ID
> 10      cluster list                            cisco ID
> 11      destination preference                  MCI ID
> 12      advertiser                              Bay ID
> 13      rcid_path (cluster id)                  Bay ID
> 

Done

> --bill
> 

Dimitry

Date: Tue, 2 Apr 96 14:54:16 EST
From: [email-masked] (Dimitry Haskin)
To: [email-masked]
Subject: Re: attribute type codes
Cc: [email-masked]
Sender: [email-masked]
Reply-To: [email-masked]
Status: O

Bill,

> 
> As each attribute type code is in the process of being developed, it will use 
> an octect value of 255, which will be reserved for this use. At the time an 
> attribute type code is assigned a number by the IANA, the documetnation and 
> code base will be updated to reflect the authorized attribute type code value.
> 
> IANA maintained values will be published in the periodically updated assigned
> numbers STD. The bgp attribute type code list or pointer to the bgp attribute 
> type code list will be added to this STD. Requests for assignment of a new
> attribute type code should be sent to IANA with a subject that includes the
> phrase "attribute type code request".
> 
> Currently in use attribute type codes are listed below:
> 
> 
> 1       origin
> 2       as path
> 3       next hop
> 4       multi exit disc.
> 5       local preference
> 6       atomic aggregate
> 7       aggregator
> 8       community                               cisco ID
> 9       originator                              cisco ID
> 10      cluster list                            cisco ID
> 11      destination preference                  MCI ID
> ...
> (Dimitry, I've misplaced the list you sent me for Bay stuff)
> 

The following are my attributes as specified in RFC1863:

255	ADVERTISER
244	Cluster id list (RCID_PATH)

RFC1863 also defines a new message type:

255	LIST

And also new error types:

255	LIST Message Error Code
1	  Bad Address subcode

255	  Invalid ADVERTISER Attribute subcode of UPDATE error (3)

We need to be able to register message types and error codes too.

I believe ADVERTISER and RCID_PATH is the same as the cisco's originator
and 'cluster list' but I'm not 100% sure.  I'm willing to change the
ADVERTISER and RCID_PATH ids to lower numbers (e.g. 12 and 13) but you
have to get back to me with the new numbers quickly since it would be
much more difficult to change them in couple weeks.

> --bill
> 

Dimitry